Bug 428774 - HAL doesn't notice USB devices going away
HAL doesn't notice USB devices going away
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-15 00:00 EST by Daniel Berrange
Modified: 2013-03-05 22:54 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:47:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lshal output (250.66 KB, text/plain)
2008-01-15 00:00 EST, Daniel Berrange
no flags Details
lshal output after another hibernate cycle (252.42 KB, text/plain)
2008-01-15 10:13 EST, Daniel Berrange
no flags Details

  None (edit)
Description Daniel Berrange 2008-01-15 00:00:30 EST
Description of problem:
I have 6 USB devices

# find /dev/bus/usb/ -type c | wc -l
6

HAL on the other hand thinks I have 94 usb devices

# lshal | grep /dev/bus/usb | awk '{print $3}' | sort | uniq  | wc -l
94

It has records of devices I've already unplugged

  info.product = 'Plantronics Headset'  (string)
  linux.device_file = '/dev/bus/usb/002/003'  (string)
  info.product = 'Nomad MuVo NX'  (string)
  linux.device_file = '/dev/bus/usb/002/002'  (string)

And many many many copies of devices built into the laptop

  info.product = 'Fingerprint Reader'  (string)
  linux.device_file = '/dev/bus/usb/005/010'  (string)
  info.product = 'Fingerprint Reader'  (string)
  linux.device_file = '/dev/bus/usb/005/009'  (string)
  info.product = 'Fingerprint Reader'  (string)
  linux.device_file = '/dev/bus/usb/005/008'  (string)

As a potentially relevant side-note, this laptop has been hibernated & suspended
many times without reboot. Perhaps HAL doesn't clear out missing devices
properly when it resuming ?


Version-Release number of selected component (if applicable):
hal-0.5.10-1.fc8

How reproducible:
Unsure.

Steps to Reproduce:
1. Run 'lshal' and look for any USB device paths listed which no longer exist
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Daniel Berrange 2008-01-15 00:00:30 EST
Created attachment 291678 [details]
lshal output
Comment 2 Daniel Berrange 2008-01-15 10:13:19 EST
Created attachment 291717 [details]
lshal output after another hibernate cycle

This is the output after I've done another hibernate cycle - one more cloned
USB device is added to the list
Comment 3 David Zeuthen 2008-01-15 10:56:25 EST
Does this only happen around suspend/hibernate cycles?
Comment 4 Daniel Berrange 2008-01-15 11:03:51 EST
After more testing, I can confirm it happens even on merely plugging &
unplugging a USB device while running. I plugged in a USB  wifi NIC, and it
added 5 devices - 3 USB related devices, and 2 net related devices. When I
unplugged it again, 1 of the USB related devices still remains.
Comment 5 David Zeuthen 2008-01-15 11:13:17 EST
I'll look into it...
Comment 6 Bug Zapper 2008-11-26 04:26:28 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-01-09 00:47:37 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.